### Method

# GtkSource PrintCompositor set_header_format

#### Declaration [src]

    void
    gtk_source_print_compositor_set_header_format (
      GtkSourcePrintCompositor* compositor,
      gboolean separator,
      const gchar* left,
      const gchar* center,
      const gchar* right
    )

#### Description [src]

Sets strftime like header format strings, to be printed on the left, center and right of the top of each page.

The strings may include strftime(3) codes which will be expanded at print time. A subset of `strftime()` codes are accepted, see `g_date_time_format()` for more details on the accepted format specifiers. Additionally the following format specifiers are accepted:

- # N: the page number

- # Q: the page count.

`separator` specifies if a solid line should be drawn to separate the header from the document text.

If `NULL` is given for any of the three arguments, that particular string will not be printed.

For the header to be printed, in addition to specifying format strings, you need to enable header printing with `gtk_source_print_compositor_set_print_header()`.

This function cannot be called anymore after the first call to the `gtk_source_print_compositor_paginate()` function.

#### Parameters

`separator`

  Type: `gboolean`

  `TRUE` if you want a separator line to be printed.

`left`

  Type: `const gchar*`

  A format string to print on the left of the header.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`center`

  Type: `const gchar*`

  A format string to print on the center of the header.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`right`

  Type: `const gchar*`

  A format string to print on the right of the header.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.